[3.0.11] Fehlermeldungen nach PHP Versionsupdate

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
RPGElster
Mitglied
Beiträge: 8
Registriert: 04.07.2019 16:13

[3.0.11] Fehlermeldungen nach PHP Versionsupdate

Beitragvon RPGElster » 04.07.2019 16:35

Einmal ein großes Hallo.

Vorweg, mir ist bewusst das die Forumsversion vollkommen veraltet ist, aber durch ein paar Versionskonflikte haben wir das Forum nicht auf die neuste Version bekommen und versuche es nun wenigstens die Fehler los zu werden. (Nachdem ein Kumpel die PHP Version auf 7.2.18 geupdatet hat, was bitter nötig war).

Einige der Fehler konnte ich problemlos beheben, die waren von der selben Natur wie:
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead

Doch sehe ich in der Zeile kein /e, welches ich ändern könnte.

Code: Alles auswählen

if (sizeof($preg['search']))
               {
                  // we need to turn the entities back into their original form to allow the
                  // search patterns to work properly
                  if (!$undid_bbcode_specialchars)
                  {
                     $message = str_replace(array(':', '.'), array(':', '.'), $message);
                     $undid_bbcode_specialchars = true;
                  }

                  $message = preg_replace($preg['search'], $preg['replace'], $message);
                  $preg = array('search' => array(), 'replace' => array());
               }


Zeile 112 wäre:

Code: Alles auswählen

$message = preg_replace($preg['search'], $preg['replace'], $message);


Weiterhin habe ich folgende Fehlermeldungen:
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4820: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4822: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4823: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4824: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)

Was ich hier und auf anderen Seiten gelesen habe, hilft mir leider nicht weiter. Ich habe keine Leerzeichen vor bzw. hinter dem php tag noch sind die Dateien falsch konfiguriert. Laut Notepad++ UTF-8 ohne BOM.

Leider bin ich nicht all zu bewandert in PHP, ich bin froh wenn mir jemand sagen kann, wie ich das Problem los werde, oder wie ich das Forum "einfach" auf die neuste Version updaten kann.
Bei dem Versuch hatten wir folgende Fehlermeldungen:
[phpBB Debug] PHP Warning: in file [ROOT]/includes/automatic_dst.php on line 61: A non-numeric value encountered
[phpBB Debug] PHP Warning: in file [ROOT]/install/index.php on line 361: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/install/index.php on line 362: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/install/index.php on line 363: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/install/index.php on line 364: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)

Vielen Dank schon einmal im Voraus für hilfreiche Beiträge.

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10234
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.0.11] Fehlermeldungen nach PHP Versionsupdate

Beitragvon Crizzo » 04.07.2019 16:56

RPGElster hat geschrieben:(Nachdem ein Kumpel die PHP Version auf 7.2.18 geupdatet hat, was bitter nötig war).

Hi,

phpBB 3.0 ist nicht kompatibel mit PHP 7. 2. Du musst ein Update auf phpBB 3.2 machen, das ist nämlich auch bitter nötig. ;)

Grüße

Benutzeravatar
schnagga
Mitglied
Beiträge: 800
Registriert: 10.03.2006 18:26
Wohnort: Verden
Kontaktdaten:

Re: [3.0.11] Fehlermeldungen nach PHP Versionsupdate

Beitragvon schnagga » 04.07.2019 17:16

Setze deine PHP-Version zurück auf 5.6 und update dann auf 3.2. Mit 7.2 geht das nicht!
Ein Tischtennis-Forum aus Verden

Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1966
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: [3.0.11] Fehlermeldungen nach PHP Versionsupdate

Beitragvon canonknipser » 04.07.2019 17:38

Und wie der Update am besten funktioniert, kannst du hier nachlesen: phpBB 3.2 - Upgrade von phpBB 3.0
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC

RPGElster
Mitglied
Beiträge: 8
Registriert: 04.07.2019 16:13

Re: [3.0.11] Fehlermeldungen nach PHP Versionsupdate

Beitragvon RPGElster » 04.07.2019 18:27

Danke für die hilfreiche Antwort canonknipser, ich habe mich bis Punkt B.3 vorgearbeitet, aber wie rufe ich über den Adminbereich das STK auf?
Ich habe es unter "Mods" vermutet, aber dort werde ich nicht fündig, oder bin blind.

Rufe ich das überhaupt über den Adminbereich auf?

Benutzeravatar
Kirk
Supporter
Supporter
Beiträge: 6302
Registriert: 24.05.2010 08:31
Kontaktdaten:

Re: [3.0.11] Fehlermeldungen nach PHP Versionsupdate

Beitragvon Kirk » 04.07.2019 18:45

Das STK rufst du so auf domain.de/stk das ist nirgends verlinkt.

RPGElster
Mitglied
Beiträge: 8
Registriert: 04.07.2019 16:13

Re: [3.0.11] Fehlermeldungen nach PHP Versionsupdate

Beitragvon RPGElster » 04.07.2019 18:59

Okay, da dass nicht auf Anhieb funktioniert, einmal zum Verständnis.
Das stk musste in den Unterordner "installation" des phpBB Ordners entpackt hochgeladen werden.
Danach sollte es eigentlich funktionieren, dass ich meineDomain.de/stk aufrufen kann... oder forum.meineDomain.de/stk richtig?

Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1966
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: [3.0.11] Fehlermeldungen nach PHP Versionsupdate

Beitragvon canonknipser » 04.07.2019 19:03

Ne, du packst den stk-Ordner direkt in dein Bord-Root-Verzeichnis (da, wo auch die config.phpliegt). Und dann rufst du es unter deiner Forenadresse forum.example.org/stk auf

Edit: Hier ist auch eine etwas längere Beschreibung: https://www.phpbb.com/support/stk/
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC

RPGElster
Mitglied
Beiträge: 8
Registriert: 04.07.2019 16:13

Re: [3.0.11] Fehlermeldungen nach PHP Versionsupdate

Beitragvon RPGElster » 04.07.2019 19:41

Danke für die längere Beschreibung und den Hinweis auf meine Fehlinterpretation (Hätte ich mal den grünen Kasten gelesen).
Leider bin ich schon in den nächsten Fehler gelaufen.
Problem: Wenn ich versuche den databasecleaner (unter Support Tools) aufzurufen, bekomme ich einen 500 Fehler.
forum.domain.de kann diese Anfrage momentan nicht verarbeiten. HTTP ERROR 500
Internal Server Error, sagt mir eigentlich, in dem Zusammenhang, das er Probleme hat an die Datenbank zu kommen.
Schritt A3 hat bei mir nicht zu 100% funktioniert, daher meine Annahme mit der Datenbank.
Ich habe die Stelle wie folgt geändert:

Code: Alles auswählen

$dbms = 'mysqli';

Weil die angegebene Lösung bei mir dazu geführt hat, dass ich nur noch ein weißes Browserfenster hatte (das passiert ja zumeist wenn PHP etwas nicht ausführen kann, so meine Erfahrungen) und... mit mysqli sah ich wieder was. Ob das jetzt funktioniert, anscheinend nicht wie gewünscht.

Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1966
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: [3.0.11] Fehlermeldungen nach PHP Versionsupdate

Beitragvon canonknipser » 04.07.2019 19:55

Bei einem 500er (das ist ein allgemeiner Fehler, der alles mögliche bedeuten kann) sollte etwas im Error-Log deines Webservers stehen. Welche php-Version hast du denn aktiv? Bis einschließlich phpBB 3.1.x darfst du kein php 7.x verwenden!
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC


Zurück zu „Support-Forum“